addpath ('./simpleSVMv4')
% checkers generation
n = 400;
nt = 2000;
[x,y,xt,yt] = gdataset('checkers',n,nt,0); 
% last parameter for data overlapping
% if >0, overlaps

% full kernel computation (both train and test), without labels
SD = simpleData([x,xt],abs([y;yt]));
SD.kernelType = 'tanh'; % indefinite kernel
SD.kernelParam = [1,1]; % tanh(kernelParam(1) * x' * x + kernelParam(2));
SD.computeKernel(1:SD.n); % store kernel values in SD.kernelCache
Ktrain = SD.kernelCache(1:n,1:n);
Ktest = SD.kernelCache(1:n,n+1:n+nt);

